Start a new topic
Solved

Wikitude crashes

I'm using the Wikitude Cordova plugin version 6.0.1 and my users are getting occasionally getting native crashes . From what I can make of the stracktrace the error is coming from the wikitude sdk, but native code is a bit foreign to me. Could someone help me understand this crash report?


 

# Crashlytics - plaintext stacktrace downloaded by Rob Chandler at Fri, 31 Mar 2017 08:10:07 GMT
# URL: https://www.fabric.io/51st-parallel/ios/apps/com.skyjacker/issues/58aaab5f0aeb16625b81b786?time=last-thirty-days/sessions/97539e2423644915b8718e834c778c8f_a8dfe30bfac642869be0901555ac8f27_0_v1
# Organization: 51st Parallel
# Platform: ios
# Application: Skyjacker
# Version: N/A
# Bundle Identifier: com.skyjacker
# Issue #: 4
# Issue ID: 58aaab5f0aeb16625b81b786
# Session ID: 97539e2423644915b8718e834c778c8f_a8dfe30bfac642869be0901555ac8f27_0_v1
# Date: 2017-03-30T21:18:05Z
# OS Version: 10.2.1 (14D27)
# Device: iPhone 6 Plus
# RAM Free: 10.3%
# Disk Free: 26.2%

#0. Crashed: com.apple.main-thread
0  Skyjacker                      0x10042e0c8 wikitude::sdk_core::impl::LocationService::notifyLocationEvent(wikitude::sdk_core::impl::LocationEvent const&) + 70724
1  Skyjacker                      0x10019ac44 -[WTLocationInteractor locationManager:didUpdateToLocation:] + 4296846404
2  Skyjacker                      0x10015f2a0 -[WTLocationManager setLastKnownLocation:updateDelegate:] + 4296602272
3  Skyjacker                      0x10015f4b0 -[WTLocationManager locationManager:didUpdateLocations:] + 4296602800
4  CoreLocation                   0x18c80ca38 (null) + 35648
5  CoreLocation                   0x18c80c2b4 (null) + 33724
6  CoreLocation                   0x18c7ff4b8 (null) + 1020
7  CoreFoundation                 0x1847b6a44 __CFRUNLOOP_IS_CALLING_OUT_TO_A_BLOCK__ + 20
8  CoreFoundation                 0x1847b6240 __CFRunLoopDoBlocks + 288
9  CoreFoundation                 0x1847b4538 __CFRunLoopRun + 1976
10 CoreFoundation                 0x1846e22b8 CFRunLoopRunSpecific + 444
11 GraphicsServices               0x186196198 GSEventRunModal + 180
12 UIKit                          0x18a7297fc -[UIApplication _run] + 684
13 UIKit                          0x18a724534 UIApplicationMain + 208
14 Skyjacker                      0x1000a22a4 main (main.m:32)
15 libdispatch.dylib              0x1836c55b8 (Missing)

 


Hi Eva,


The sales team were able to help me, so this is resolved.


Thanks,


Rob

Hello Rob,

This issue is fixed with our latest version of SDK 6.1.0, that you can download here.

Thanks
Eva

 

Hi Eva,


Thanks for you response. I've tried updating and my licence key is no longer being accepted. I have followed the guides and added the key to the WikitudePlugin.js as I had done previously and I am still seeing the watermark. Is there any reason why 6.0.1 would work for me and 6.1 does not?


Thanks,


Rob

Hi Rob,

If you are using a trial key then seeing the watermark logo is expected behavior.

Thanks
Eva

 

Hi Eva,


No, I am not using a trial key. I am using an SDK Lite key that I purchased in January. Also, watermark was a confusing choice of words from me. What I am seeing is the "MISSING KEY" overlay. Rolling back to 6.0.1 removes the overlay but obviously the bug still exists in that version. Could it be that my key is not valid for 6.1? If that is the case how would you suggest I get around the issues I am having?


Thanks,


Rob

Hello Rob,

Based on the license that you have purchased, you are not entitled of free upgrades. So if you want to use SDK 6.1 you can buy an upgrade license for SDK PRO.

Thanks
Eva

 

Hi Eva,


So you are saying to receive a bug fix I must by another licence? That is really poor in my opinion. I do not "want" to use SDK 6.1, you suggested that to me as a solution to the issues I am seeing. I want the current version of the SDK that I am using to work. Why is there not a 6.0.x bug fix release for this issue?


I'm also confused by the link you sent, which offers an upgrade to SDK 6. Can you explain why I need this upgrade if version 6.0.1 works with the licence I have?


Rob

Hello Rob,

Since you are using a Lite license with SDK 6 then please send an email to your sales representative so you can work on this issue.

Thanks
Eva

 

Login or Signup to post a comment